aboutsummaryrefslogtreecommitdiffstats
path: root/testing/anytun/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2015-05-26 12:50:42 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-05-26 12:50:47 +0000
commitc3f4d165bb84d76b123af30c466e87f80e13acbb (patch)
tree87ae71a4bd559b7e007d1826021939617a0b0fa7 /testing/anytun/APKBUILD
parentda84fd0cfde6226b909ab3d0da998fd190478e8b (diff)
downloadaports-c3f4d165bb84d76b123af30c466e87f80e13acbb.tar.gz
aports-c3f4d165bb84d76b123af30c466e87f80e13acbb.tar.bz2
aports-c3f4d165bb84d76b123af30c466e87f80e13acbb.tar.xz
testing/anytun: new aport.
Diffstat (limited to 'testing/anytun/APKBUILD')
-rw-r--r--testing/anytun/APKBUILD57
1 files changed, 57 insertions, 0 deletions
diff --git a/testing/anytun/APKBUILD b/testing/anytun/APKBUILD
new file mode 100644
index 0000000000..67333c6ff6
--- /dev/null
+++ b/testing/anytun/APKBUILD
@@ -0,0 +1,57 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=anytun
+pkgver=0.3.5
+pkgrel=0
+pkgdesc="Secure anycast tunneling protocol implementation for flexible and fault-tolerant VPNs"
+url="http://www.anytun.org"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev="openssl-dev boost-dev linux-headers"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.anytun.org/download/$pkgname-$pkgver.tar.gz
+ boost-mt.patch
+ $pkgname.initd"
+
+_builddir="$srcdir"/$pkgname-$pkgver/src
+prepare() {
+ local i
+ cd "$_builddir"
+ cd ..
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --use-ssl-crypto \
+ --examplesdir=/usr/share/docs || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p ${pkgdir}/var/run/anytun ${pkgdir}/var/run/anytun-controld &>/dev/null
+ make install DESTDIR="${pkgdir}"
+ rm "${pkgdir}"/etc/init.d/$pkgname
+ install -Dm 755 "$srcdir"/$pkgname.initd "${pkgdir}"/etc/init.d/$pkgname
+}
+
+md5sums="beb1a6f84c2997a052d2446337404603 anytun-0.3.5.tar.gz
+d7220eae296c814ee100d8ca1f5cf19a boost-mt.patch
+d429ba9feaaf15bb268b811eccc71862 anytun.initd"
+sha256sums="97f88c9a5ba0eedc3a10fd202d526af8817966ae2eac103738aaef60edb4dea7 anytun-0.3.5.tar.gz
+31dca9b29da41ed338d12ff96171b1f2a84013f689af0965c2d97f2fbcf0b499 boost-mt.patch
+f2390be3b27d2a208e4d77bf776d62c2dd9a92a79a30e5394188b82af6f55037 anytun.initd"
+sha512sums="9bfa6bcb86ba77cb3f16b447a9fd7ecd241cf64e4ed8b5f509ab1a945defa20a2c3906f8c0a9be81261f35cc2b4dbac7686cf82a510e35e2a2bd79dd6d0f8d9d anytun-0.3.5.tar.gz
+e19522a26529bb16591ed724d499c3b7fd7060e937eadc93f7719c29aaa604b953c59b94024efe2227331741ba5bbde084619dd42071cf086ef803906e6678a7 boost-mt.patch
+a31455058e0ac60ed9457c79eea789ce19ba49abc200b59c0d8390eb0c3b6f09813177f9b679fb8ac69ac7b0be862e4604d19298ae4cd79925511fff3963e93d anytun.initd"